This is unreleased documentation for Parallel Developer Documentation **Next 🚧** version.

For up-to-date documentation, see the **[latest version](https://developer.parallelmarkets.com/docs/server/case-management-api/files/create)** (Current – v2.x).

Version: Next 🚧

### This endpoint can be used to upload a file and create a [Record File](https://developer.parallelmarkets.com/docs/next/server/data-structures#record-file) entry that is associated with an individual or business record.

### HTTP Request
`POST https://api.parallelmarkets.com/v2/partner-records/{id}/files`

- `{id}` - The individual or business ID in your case management account. If an [external_id](https://developer.parallelmarkets.com/docs/next/server/case-management-api/records/create#using-an-external-identifier) has been set, the `external_id` value can be used instead.
- `Content-Type`: `multipart/form-data`.

### Request Parameters
| Parameter           | Type       | Description                                                                 |
|---------------------|------------|-----------------------------------------------------------------------------|
| `file`              | _file_     | **Required** File contents via `multipart/form-data`.                      |
| `type`              | _string_   | **Required** The type of document the file represents. Use [Record File Types](https://developer.parallelmarkets.com/docs/next/server/case-management-api/files/list-types) to list supported values. |
| `other_type_name`   | _string_   | _Optional._ When providing `type="other"`, you can provide a custom type name for the file. <br> The value will be converted to "Title Case" before being saved. |
| `note`              | _string_   | _Optional._ Additional context or description to be included with the file. This field can be used to provide any relevant information or metadata about the file. |
| `expires_at`       | _string_   | _Optional._ [ISO-8601 timestamp](https://developer.parallelmarkets.com/docs/next/server/data-structures#dates-and-timestamps) of when the document expires.

#### Sample request

```shell
curl --location --request POST 'https://api.parallelmarkets.com/v2/partner-records/{id}/files' \
--header 'Authorization: Bearer <api_key>' \
--form 'file=@
